# File Renamer CLI

![Version](https://img.shields.io/badge/version-1.2-blue.svg)
![Lizenz](https://img.shields.io/badge/license-MIT-green.svg)
![Node.js](https://img.shields.io/badge/Node.js-%3E%3D14.0.0-brightgreen.svg)

Ein rekursives CLI-Tool zum Umbenennen von Dateien mit Suffix und automatischer TMDb-Titelerkennung. Ideal für die Organisation von Film- und Serien-Dateien.

## Features

- **Rekursives Umbenennen**: Verarbeitet Dateien in Ordnern und Unterordnern.
- **TMDb-Integration**: Erkennt Film- und Serientitel automatisch über die TMDb-API.
- **Konfigurierbare Suffixe**: Fügt benutzerdefinierte Suffixe zu Dateinamen hinzu.
- **Flexible Modi**:
  - Vorschau-Modus: Zeigt Änderungen ohne sie anzuwenden.
  - Vorschau mit Bestätigung: Änderungen werden nach Bestätigung durchgeführt.
  - Direkter Modus: Sofortiges Umbenennen ohne Vorschau.
- **Caching**: Speichert TMDb-Abfragen für schnellere Verarbeitung.
- **Konfigurationsmanagement**: Speichert Einstellungen in einer JSON-Datei.
- **Versionsprüfung**: Prüft automatisch auf Updates über Gitea.

## Voraussetzungen

- **Node.js**: Version >= 14.0.0
- **TMDb API-Token**: Erforderlich für die Titelabfrage. [Hier anmelden](https://www.themoviedb.org/documentation/api).
- Optional: `dotenv` für die Verwaltung von Umgebungsvariablen.

## Installation

1. **Repository klonen**:
   ```bash
   git clone https://git.viper.ipv64.net/M_Viper/file-renamer-cli.git
   cd file-renamer-cli